import { useQueryClient } from "@tanstack/react-query";
import { getQueryKey } from "@trpc/react-query";
import { MutationResult, useEntity } from "./useEntity";
import { ObjectType } from "@nice/common";
import { api } from "../trpc";
import { CrudOperation, emitDataChange } from "../../event";
export function usePost() {
	const queryClient = useQueryClient();
	const queryKey = getQueryKey(api.post);

	return useEntity("post");
}
